SDL_androidkeyboard.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_androidvideo.h"`
Include dependency graph for SDL_androidkeyboard.h:

Go to the source code of this file.

## Functions

void | Android_InitKeyboard (void)
int | Android_OnKeyDown (int keycode)
int | Android_OnKeyUp (int keycode)
SDL_bool | Android_HasScreenKeyboardSupport (_THIS)
SDL_bool | Android_IsScreenKeyboardShown (_THIS, SDL_Window *window)
void | Android_StartTextInput (_THIS)
void | Android_StopTextInput (_THIS)
void | Android_SetTextInputRect (_THIS, SDL_Rect *rect)

## Function Documentation

## Android_HasScreenKeyboardSupport()

SDL_bool Android_HasScreenKeyboardSupport | ( | _THIS |  | ) |

## Android_InitKeyboard()

void Android_InitKeyboard | ( | void |  | ) |

## Android_IsScreenKeyboardShown()

SDL_bool Android_IsScreenKeyboardShown | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## Android_OnKeyDown()

int Android_OnKeyDown | ( | int | keycode | ) |

## Android_OnKeyUp()

int Android_OnKeyUp | ( | int | keycode | ) |

## Android_SetTextInputRect()

void Android_SetTextInputRect | ( | _THIS | ,
|  | SDL_Rect * | rect
| ) |  |

## Android_StartTextInput()

void Android_StartTextInput | ( | _THIS |  | ) |

## Android_StopTextInput()

void Android_StopTextInput | ( | _THIS |  | ) |